package TestAttendanceAllowance;

import com.engine.jucailinkq.attendance.attendanceanalysis.cmd.GetAttendanceCycleCmd;
import com.engine.jucailinkq.common.util.DbTools;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;

import java.util.List;
import java.util.Map;

public class Test2 extends beforlog{
    @org.junit.Test
    public void testAnalysis() throws Exception{
        String queryUserSql = "select id,departmentid,subcompanyid1 from hrmresource where status <> '5' and status <> '4' and status <> '7'";
        List<Map<String,Object>> userList = DbTools.getSqlToList(queryUserSql);
        Map<String,Object> param = Maps.newHashMap();
        param.put("userList",userList);
        param.put("executeDate","2024-07-31");
        new GetAttendanceCycleCmd(param).execute(null);
    }
}
